.\" Copyright (c) 2023 Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>
.\" All rights reserved.
.\"
.\" SPDX-License-Identifier: GPL-3.0-or-later
.de CW
.sp
.in +4n
.nf
.ft CW
..
.de CE
.ft R
.fi
.in
.sp
..
.\" Like .OP, but with ellipsis at the end in order to signify that option
.\" can be provided multiple times. Based on .OP definition in groff's
.\" an-ext.tmac.
.de OM
.  ie \\n(.$-1 \
.    RI "[\fB\\$1\fP" "\ \\$2" "]...\&"
.  el \
.    RB "[" "\\$1" "]...\&"
..
.\" Required option.
.de OR
.  ie \\n(.$-1 \
.    RI "\fB\\$1\fP" "\ \\$2"
.  el \
.    BR "\\$1"
..
.TH OPENSNITCH-UI 1 "2023-02-12" "opensnitchd 1.5.6"
.SH NAME
opensnitch-ui \- GNU/Linux interactive firewall application
.SH SYNOPSIS
.SY opensnitch-ui
.OP \-\-socket path
.OP \-\-max-clients num
.YS
.SH DESCRIPTION
.LP
opensnitch-ui is the OpenSnitch GUI to view events intercepted by the daemon,
and to manage the rules.
The GUI is composed of 2 components in the same script: a server and a GUI.
Once the GUI is launched, an icon will appear on the system tray.
If the system tray is not available or can't be used, the Events dialog will
be launched.
.LP
The GUI (i.e.: the server) will listen for new connections from daemons. You
can have the daemon installed on multiple machines, and manage them from a
centralized GUI. https://github.com/evilsocket/opensnitch/wiki/Nodes
.LP
.SH OPTIONS
.TP
.BI "\--socket " path
Specifies the path or network address where the GUI (i.e.: the server) will
listen on.
.PP
    Examples:
.PP
    Default: unix:///tmp/osui.sock
.PP
     - Listening on a Unix socket:
       $ opensnitch-ui --socket unix:///tmp/osui.sock
     * Use unix:///run/user/YOUR_USER_ID/opensnitch/osui.sock for better privacy.
.PP
     - Listening on port 50051, all interfaces:
       $ opensnitch-ui --socket "[::]:50051"
.TP
.BI "\--max-clients " num
Maximum number of clients to allow (default: 10).
.SH FILES
.I /home/$USER/.config/opensnitch/
.RS
Path of the GUI configuration.
.RE
.SH DIAGNOSTICS
If something goes wrong, like a crash, launch the GUI from a shell to view debugging messages:
.LP
.RS
$ opensnitch-ui
.RE
.SH REPORTING BUGS
Problems with
.B opensnitch-ui
should be reported on github https://github.com/evilsocket/opensnitch/issues
.UR https://github.com/evilsocket/opensnitch/issues
.SH "SEE ALSO"
.PP
.UR https://github.com/evilsocket/opensnitch
.B OpenSnitch
Home Page
.UE
.LP
.SH HISTORY
.B OpenSnitch
was originally written by Simone Margaritelli (evilsocket) in 2017-2018.
.LP
In 2019, after some time of inactivity, Gustavo Iñiguez Goya started
contributing, fixing bugs and adding new functionality, with
the esential help of the community, and valuable contributions from themighty1 and
calesanz among others.
.SH AUTHORS
The complete list of
.B OpenSnitch
contributors can be found on https://github.com/evilsocket/opensnitch
